diff --git a/doc/src/sgml/glossary.sgml b/doc/src/sgml/glossary.sgml
index d2168f26b1..eb837d4622 100644
--- a/doc/src/sgml/glossary.sgml
+++ b/doc/src/sgml/glossary.sgml
@@ -256,20 +256,26 @@
    <glossterm>Buffer Access Strategy</glossterm>
    <glossdef>
     <para>
-     Some operations will access a large number of pages at a time. In order to
-     avoid using all of <varname>shared_buffers</varname> and evicting blocks
-     from buffers in use by other workloads, some operations employ a
-     <varname>Buffer Access Strategy</varname>. A <varname>Buffer Access
-     Strategy</varname> sets up references to a limited number of
-     <varname>shared_buffers</varname> and reuses them circularly. If the
-     operation dirties a buffer that it then must reuse, it must write out that
-     buffer and any associated WAL itself.
+     Some operations will access a large number of
+     <glossterm linkend="glossary-data-page">pages</glossterm>.  A
+     <firstterm>Buffer Access Strategy</firstterm> helps to prevent these
+     these operations from evicting too many pages from
+     <glossterm linkend="glossary-shared-memory">shared buffers</glossterm>.
+    </para>
+    <para>
+     A Buffer Access Strategy sets up references to a limited number of
+     <glossterm linkend="glossary-shared-memory">shared buffers</glossterm>
+     and reuses them circularly.  When the operation requires a new page, a
+     victim buffer is chosen from the buffers in the strategy, which may
+     require dirty buffers and possibly also require
+     <glossterm linkend="glossary-wal">WAL</glossterm> to be flushed to disk.
      </para>
      <para>
-     <varname>Buffer Access Strategies</varname> are used for sequential scans
-     of large tables, VACUUM, COPY operations, CREATE TABLE AS SELECT, ALTER
-     TABLE, CREATE DATABASE, CREATE INDEX, and CLUSTER, amongst other
-     operations.
+     Buffer Access Strategies are used for various operations such as;
+     sequential scans of large tables, <command>VACUUM</command>,
+     <command>COPY</command>, <command>CREATE TABLE AS SELECT</command>,
+     <command>ALTER TABLE</command>, <command>CREATE DATABASE</command>,
+     <command>CREATE INDEX</command>, and <command>CLUSTER</cluster>.
     </para>
    </glossdef>
   </glossentry>
